/**
 * Avatars are used to represent a person or object.
 *
 * @status new
 * @version 8.0.0
 * @type CSS Only
 *
 * @slot - Main slot for either image or nano-icon
 */
export class NanoAvatar {
    /** Initials to use as when no image is available (1–2 characters max recommended). */
    initials;
    static get is() { return "nano-avatar"; }
    static get originalStyleUrls() {
        return {
            "$": ["avatar.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["avatar.css"]
        };
    }
    static get properties() {
        return {
            "initials": {
                "type": "string",
                "attribute": "initials",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Initials to use as when no image is available (1\u20132 characters max recommended)."
                },
                "getter": false,
                "setter": false,
                "reflect": true
            }
        };
    }
}
